import Pako from "pako";
import { Decompress, DecompressAsync, Deflate, DeflateAsync, StrToU8, U8ToStr } from "./helper.compression";

export function ToDeflatedBase64(materialJson: string)
{
    return btoa(String.fromCharCode(...Deflate(materialJson)))
}

export function FromDeflateBase64(base64: string) {
    let binaryString = atob(base64);
    console.log("Bin", binaryString);
    let data = Pako.inflate(binaryString as any, { to: "string" });
    console.log("data", data);
    return data;
}